function h = drawiden(mm,nu)
% h = DRAWIDEN(mm,nu) draws a mm times mm matrix h 
%    from a Wishart distribution with nu degrees of freedom and
%    the identity matrix times nu as expectation.
%    RESTRICTION: For the moment, only integer nu >= dim(s) are allowed.
if mm == 1
   % draw from a chi-squared(nu) distribution.  Need to find
   % correct version for arbitrary nu.  For now and for testing,
   % restricting nu to be a (reasonably small) integer:
   % draws need to be taken from a standard normal distribution random number generator
   hvect = randn(nu,1);
   h = hvect' * hvect;
else
   h22 = drawiden(mm-1,nu);
   h12 = drawnorm(h22);
   h11o2 = drawiden(1,nu-mm+1);
   h11 = h11o2 + h12' * inv(h22) * h12;
   h = [ h11  h12'
         h12  h22];
end;
% Using Theorem 3.2.10 in Muirhead, 1982
