function h = drawwish(nu,s)
% h = DRAWWISH(nu,s) draws a matrix h
%     from a Wishart distribution with
%     nu degrees of freedom and mean s^(-1),
%     where s is a positive definite matrix and nu > dim(s)-1.
%     In other words, h ~ Wishart(nu,omega), where omega = s^(-1)/nu.
%     Hence, given omega, choose s = omega^(-1)/nu and call this routine.
%     For a Normal-Wishart, s is just the thing that shows up as parameter.
%     RESTRICTION: For the moment, only integer nu >= dim(s) are allowed.
r = chol(inv(s));
mm = size(s);
mm = mm(1);
h = drawiden(mm,nu);
h = r' * h * r / nu;